Bug 289891 - 'random' seg fault during audio capture
'random' seg fault during audio capture
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-13 15:37 EDT by Tom London
Modified: 2008-04-04 10:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 10:04:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug report output from audacity crash (11.79 KB, text/plain)
2007-09-13 15:37 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2007-09-13 15:37:35 EDT
Description of problem:
I've been using audacity heavily 'ripping' old LPs.

I got this sort of random seg fault:
Sep 13 12:04:13 localhost kernel: audacity[16654]: segfault at 0caff204 eip
008af932 esp b7a3cf64 error 4

Bugbuddy seemed to capture information (didn't forward, complaining it doesn't
know about audacity).

But I saved the output: I attach it below.

Version-Release number of selected component (if applicable):
audacity-1.3.2-16.fc8

How reproducible:
Seems random. 

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2007-09-13 15:37:35 EDT
Created attachment 195131 [details]
Bug report output from audacity crash
Comment 2 Michael Schwendt 2007-09-13 16:36:32 EDT
1. When exactly do you get that? 

[I notice references of wxConvBrokenFileNames()]


2. With development/test releases it is important to install
as many relevant -debuginfo packages as necessary to fill the
missing details in backtraces:

  http://fedoraproject.org/wiki/StackTraces

At least helpful would be:

  audacity-debuginfo
  compat-wxGTK26-debuginfo
  gtk2-debuginfo
  glib2-debuginfo
  glibc-debuginfo
Comment 3 Tom London 2007-09-13 16:54:55 EDT
1. I had audacity 'running' recording input from a USB input (actually, a USB
turntable....).  Audacity window was exposed and was drawing the 'track waves'
while recording.

2. Yeah, I will install now. Unfortunately, hard to go back in time. ;)

Now have debuginfo packages installed for:

  audacity-debuginfo
  compat-wxGTK26-debuginfo
  gtk2-debuginfo
  glib2-debuginfo
  glibc-debuginfo

[Had older debuginfo packages installed for some of these.  Now updated.  I've
enabled the debuginfo repo so these 'keep up' going forward, in case this faults
again.]
Comment 4 Michael Schwendt 2007-12-08 05:27:44 EST
In case this is reproducible with Fedora 8, we need more
stacktraces.

Also, there's a test-build of Audacity 1.3.4-beta built
with wxGTK 2.8.x:
https://www.redhat.com/archives/fedora-list/2007-November/msg03440.html
Comment 5 Tom London 2007-12-08 12:30:31 EST
I'm running off of Rawhide, but I'll install the beta and see how it goes.

Haven't seen this again, but pulseaudio has reduced my usage of late ;)
Comment 6 Bug Zapper 2008-04-04 09:49:57 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Tom London 2008-04-04 10:04:51 EDT
Haven't been able to reproduce this.

Closing.

Note You need to log in before you can comment on or make changes to this bug.